<template>
  <b-container fluid>
    <!-- button -->
    <b-row>
      <b-col id="btn-sum"
        ><b-button variant="primary" @click="applyJob()"
          >สมัครงาน</b-button
        ></b-col
      >
    </b-row>
    <!-- header -->
    <b-row id="header">
      <b-col cols="3">
        <div id="logoBorder">
          <b-card-img
            src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png"
            id="logoCompany"
          ></b-card-img>
        </div>
      </b-col>
      <b-col cols="5">
        <b-row>
          <b-col cols="3" id="imgPerson"
            ><b-img
              width="40%"
              src="https://training-saraburi.cdd.go.th/wp-content/uploads/sites/149/2018/08/person-outline-icon-png-person-outline-icon-png-person-17.png"
            ></b-img
          ></b-col>
          <b-col id="positionName">{{ declare.position.positionName }}</b-col>
        </b-row>
        <b-row>
          <b-col cols="1"></b-col>
          <b-col> ประเภทงาน : {{ declare.position.workType }} </b-col>
        </b-row>
        <b-row>
          <b-col cols="1"></b-col>
          <b-col v-if="declare.position.gender === 'F'"> เพศ : หญิง </b-col>
          <b-col v-else-if="declare.position.gender === 'M'">
            เพศ : ชาย
          </b-col>
          <b-col v-else> เพศ : ไม่ระบุ </b-col>
        </b-row>
        <b-row>
          <b-col cols="1"></b-col>
          <b-col>
            อายุ :
            {{ declare.position.age }}
            ปี
          </b-col>
        </b-row>
        <b-row>
          <b-col cols="1"></b-col>
          <b-col> อัตรา : {{ declare.position.rate }} </b-col>
        </b-row>
        <b-row>
          <b-col cols="1"></b-col>
          <b-col>
            เงินเดือน :
            {{ declare.position.salary }}
            บาท
          </b-col>
        </b-row>
      </b-col>
      <b-col>
        <b-row>
          <b-col id="date">{{ declare.dateStart }}</b-col>
        </b-row>
        <b-row id="number">
          <b-col class="btnNumber">
            <b-row>ผู้สมัคร</b-row>
            <b-row>0</b-row>
          </b-col>
          <b-col class="btnNumber">
            <b-row>ผู้สนใจ</b-row>
            <b-row>0</b-row>
          </b-col>
          <b-col class="btnNumber">
            <b-row>ผู้เข้าชม</b-row>
            <b-row>0</b-row>
          </b-col>
        </b-row>
      </b-col>
    </b-row>
    <!-- detail -->
    <b-row>
      <b-col>
        <!-- description -->
        <b-row id="description">
          <b-col class="headerDetail">รายละเอียดงาน</b-col>
          <b-col>{{ declare.position.detail }}</b-col>
        </b-row>
        <!-- property -->
        <b-row id="property">
          <b-col class="headerDetail">คุณสมบัติ</b-col>
          <b-col
            ><b-row
              v-for="property in declare.position.property"
              :key="property.id"
            >
              {{ property }}</b-row
            ></b-col
          >
        </b-row>
      </b-col>
      <!-- security -->
      <b-col>
        <b-row id="security">
          <b-col class="headerDetail">สวัสดิการ</b-col>
          <b-col>{{ currentCompany.security }}</b-col>
        </b-row>
        <b-row id="contact">
          <b-col class="headerDetail">การติดต่อบริษัท</b-col>
          <b-col
            >ที่อยู่: {{ currentCompany.addressCompany.number }}
            ซอย
            {{ currentCompany.addressCompany.lane }} หมู่
            {{ currentCompany.addressCompany.villageNo }} ตำบล/แขวง
            {{ currentCompany.addressCompany.district }} อำเภอ/เขต
            {{ currentCompany.addressCompany.subDistrict }} จังหวัด
            {{ currentCompany.addressCompany.province }} รหัสไปรษณีย์
            {{ currentCompany.addressCompany.postalCode }}</b-col
          >
          <b-col>เบอร์โทรศัพท์: {{ currentCompany.telCompany }}</b-col>
          <b-col>E-mail: {{ currentCompany.email }}</b-col>
        </b-row>
      </b-col>
    </b-row>
  </b-container>
</template>
<style>
@import './css/DetailDeclareCompany.css';
</style>
<script>
import declareService from './Service/declarList'
import currentCompany from './Service/company'
import applicantService from './Service/Applicants'
import applicationService from './Service/Application_v2'
// import axios from 'axios'
export default {
  data () {
    return {
      name: 'DetailDeclareApplicant',
      id: this.$route.params.id,
      declare: {},
      currentCompany: {},
      currentApplicant: {},
      form: {
        id: -1,
        applicantId: 1,
        declareId: 1,
        statusApplication: 'waiting',
        statusInterview: {
          status: 'default',
          date: '',
          address: '',
          prepare: ''
        }
      }
    }
  },
  methods: {
    getDaclare () {
      this.declare = declareService.getDeclare(this.currentCompany, this.id)
      console.log(this.declare)
      console.log('load declare complete')
      // axios.get('http://127.0.0.1:3000/declare/detail/' + this.id).then(res => {
      //   console.log(this.id)
      //   console.log(res.data)
      //   this.declare = res.data
      // })
    },
    getCompany () {
      this.currentCompany = currentCompany.getcompany(1)
      console.log(this.currentCompany)
      // axios
      //   .get('http://127.0.0.1:3000/company/603cdb546ae2153820a91a1b')
      //   .then(res => {
      //     console.log(res.data)
      //     this.currentCompany = res.data
      //   })
    },
    applyJob () {
      console.log('add new application')
      this.currentApplicant = applicantService.getApplicant(1)
      console.log(this.currentApplicant)

      this.form.applicantId = this.currentApplicant.id
      console.log(this.form)
      console.log('result')
      var result = []
      console.log('id: ', this.form.id)
      applicationService.addApplication(this.form)
      result = applicationService.getApplicationsByCompany(1)
      console.log(result)
    }
  },
  mounted () {
    console.log('Vue is datail declare page')
    console.log('id ' + this.id)
    this.getCompany()
    this.getDaclare()
  }
}
</script>
